:begin
@echo off
echo IBM WebSphere Commerce Version 5.4 eFix install for Windows, APAR JR17889  (WAS)

set JARFILENAME=JR17934_was_WIN.jar

echo Enter the directory where the IBM WebSpere Commerce Server is installed
GetInput WC_HOME "For example, C:\Program Files\WebSphere\CommerceServer " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\efix\JR17934
if not exist "%WC_SERVICE%"\JR17934_wc_WIN.log goto missing_wc_install

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

echo Enter the installed database to be used with the IBM WebSpere Commerce Server
GetInput WC_DBTYPE "For example, DB2 or Oracle " ~wcdbtype.bat
call ~wcdbtype.bat
del ~wcdbtype.bat

echo Enter the installed Edition of the IBM WebSpere Commerce Server
GetInput WC_EDITION "For example, Business or Pro " ~wcedition.bat
call ~wcedition.bat
del ~wcedition.bat

:verify_wc_edition
IF /I "%WC_EDITION%" == "Pro" goto verify_wc_dbtype
IF /I "%WC_EDITION%" == "Business" goto verify_wc_dbtype
goto bad_wc_edition

:verify_wc_dbtype
IF /I "%WC_DBTYPE%" == "DB2" goto verify_was_home
IF /I "%WC_DBTYPE%" == "Oracle" goto verify_was_home
goto bad_wc_dbtype

:verify_was_home
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml goto bad_was_home

echo Enter the directory where your Application is installed in the InstalledApps directory
GetInput APP_HOME "For example, WC_Enterprise_App_demo.ear " ~apphome.bat
call ~apphome.bat
del ~apphome.bat
set LOGFILENAME="%WC_SERVICE%\%APP_HOME%".log
echo IBM WebSphere Commerce Server V5.4 eFix install > %LOGFILENAME% 2>&1

:verify_app_home
IF NOT EXIST "%WAS_HOME%\installedApps\%APP_HOME%" goto bad_app_home

:start
IF NOT EXIST    .\JR17934_was_WIN.jar goto bad_pwd
IF NOT EXIST    .\Delta.jar     goto bad_pwd

"%WAS_HOME%\java\bin\java" -jar %JARFILENAME% -TargetDir "%WAS_HOME%\installedApps\%APP_HOME%" -BackupJar "%WC_SERVICE%\%APP_HOME%"_backup.jar -logFile %LOGFILENAME%
if %ERRORLEVEL% == 8 goto end

IF /I "%WC_EDITION%" == "Pro" goto pro
IF /I "%WC_EDITION%" == "Business" goto business
goto end

:pro
goto startdb_check

:business
goto startdb_check

:startdb_check
IF /I "%WC_DBTYPE%" == "DB2" goto db2db
IF /I "%WC_DBTYPE%" == "Oracle" goto oracledb
goto end

:db2db
goto end

:oracledb
goto end

:bad_was_home
echo.
echo Missing %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:bad_app_home
echo.
echo Missing %APP_HOME% directory
echo Please specify the correct APP_HOME directory and rerun this script.
echo Missing %WAS_HOME%\installedApps\%APP_HOME% directory >> %LOGFILENAME% 2>&1
echo.
goto end

:bad_pwd
echo.
echo Missing files: %JARFILENAME%, Delta.jar
echo.
goto end

:bad_was_home
echo The WAS_HOME of %WAS_HOME is incorrect.
echo The WAS_HOME of %WAS_HOME is incorrect >> %LOGFILENAME% 2>&1
goto end

:bad_wc_dbtype
echo The WC_DBTYPE of %WC_DBTYPE% is incorrect.
echo The WC_DBTYPE of %WC_DBTYPE% is incorrect >> %LOGFILENAME% 2>&1
goto end

:bad_wc_edition
echo The edition of %WC_EDITION% is incorrect.
echo The edition of %WC_EDITION% is incorrect >> %LOGFILENAME% 2>&1
goto end

:missing_wc_install
echo Before the Application in the InstalledApps directory can be updated,
echo the install_wc.bat script must be executed.
goto end

:end
echo Please view the log file at:
echo %WC_SERVICE%\%APP_HOME%.log
echo Done
echo Done >> %LOGFILENAME% 2>&1

