@echo off
echo IBM WebSphere Commerce Version 5.4 eFix uninstall for Windows, APAR JR17934 (WCS)

set JARFILENAME=JR17934_wc_WIN.jar
set BACKUPJARFILENAME=JR17934_wc_WIN_backup.jar
set LOGFILENAME=JR17934_wc_WIN.log
set UNINSTALLLOGFILENAME=uninstallJR17934_wc_WIN.log

IF NOT EXIST %BACKUPJARFILENAME% goto missing_backup
IF NOT EXIST %LOGFILENAME% goto missing_log

echo Are you Uninstalling this eFix from IBM WebSpere Commerce Studio?
GetInput STUDIO "(y)es or (n)o" ~studio.bat
call ~studio.bat
del ~studio.bat

IF /I "%STUDIO%" == "y" goto studio_yes
IF /I "%STUDIO%" == "n" goto studio_no
goto bad_studio

:studio_yes
rem #############################################################################
echo Enter the directory where the IBM WebSpere Commerce Studio is installed
GetInput WC_HOME "For example, C:\WebSphere\CommerceServerDev " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\efix\JR17934
set CLASSPATH=%CLASSPATH%;%WC_HOME%\lib\xml4j.jar;%WC_HOME%\lib\xerces.jar

find /C "- Studio" "%WC_HOME%"\xml\product.xml >> %UNINSTALLLOGFILENAME% 2>&1
if %ERRORLEVEL% == 1 goto missing_studio_install >> %UNINSTALLLOGFILENAME% 2>&1

echo Enter the directory where java.exe is located
GetInput JAVA_PATH "For example, D:\WebSphere\WebSphereStudio4\bin " ~javapath.bat
call ~javapath.bat
del ~javapath.bat

:verify_java_path
echo The JAVA_PATH is %JAVA_PATH%
echo The JAVA_PATH is %JAVA_PATH% >> "%WC_SERVICE%"\%UNINSTALLLOGFILENAME% 2>&1
IF NOT EXIST "%JAVA_PATH%"\java.exe   goto bad_java_path
set PATH=%JAVA_PATH%;%PATH%
rem #############################################################################
goto start


:studio_no
rem #############################################################################
echo Enter the directory where the IBM WebSpere Commerce Server is installed
GetInput WC_HOME "For example, C:\Program Files\WebSphere\CommerceServer " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\efix\JR17934

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
echo The WAS_HOME is %WAS_HOME% >> "%WC_SERVICE%"\%UNINSTALLLOGFILENAME% 2>&1
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home
set PATH="%WAS_HOME%"\java\bin;%PATH%
rem #############################################################################
goto start


:start

echo "%JAVA_BIN%" -jar %BACKUPJARFILENAME% -logfile "%WC_HOME%"\service\efix\JR17934\%UNINSTALLLOGFILENAME%
java -jar %BACKUPJARFILENAME% -logfile "%WC_HOME%"\service\efix\JR17934\%UNINSTALLLOGFILENAME%

goto end

:syntax
echo.
echo usage: uninstall WAS_HOME
echo For example, uninstall C:\Program Files\WebSphere\AppServer
echo.
goto end

:missing_studio_install
echo Could not find Studio entry in %WC_HOME%\xml\product.xml
goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:bad_wc_home
echo.
echo Could not locate %WC_HOME%\xml\product.xml
echo Please specify the correct WC_HOME directory and rerun this script.
echo.
goto end

:missing_backup
echo.
echo Can not locate the files: %BACKUPJARFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:missing_log
echo.
echo Can not locate the files: %LOGFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:bad_studio
echo Please respond y or n
goto end

:end
echo Uninstalling eFix complete (WCS).